#include <QGuiApplication>
#include <QOpenGLContext>
#include <iostream>

int main(int argc, char *argv[])
{
    QGuiApplication a(argc, argv);
    if (QOpenGLContext::supportsThreadedOpenGL()) {
        std::cout << "threaded" << std::endl;
    } else {
        std::cout << "non-threaded" << std::endl;
    }
    return 1;
}
